#
# spec file for package bash (Version 2.01.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         bash
Release:      15
Copyright:    1989 Free Software Foundation, Inc.
Group: 
Provides:     sh 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.01.1
Summary:      The GNU Bourne-Again Shell
Source: bash-2.01.1.tar.gz
Source1: readline-2.1.tar.gz
Patch: bash-2.01.1.dif
Patch1: readline-2.1.dif
%description
Bash is a sh-compatible command interpreter that executes commands read
from standard input or from a file.  Bash also incorporates useful
features from the Korn and C shells (ksh and csh).  Bash is ultimately
intended to be a conformant implementation of the IEEE Posix Shell and
Tools specification (IEEE Working Group 1003.2).

Authors:
--------
    Chet Ramey <chet@po.cwru.edu>

%prep
%setup
%patch
%setup -T -n readline-2.1 -b1
%patch -P 1
%build
make -f Makefile.Linux compile
( cd doc ; make < /dev/null )
cd ../bash-2.01.1
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cd ../bash-2.01.1
make -f Makefile.Linux install
Check
%post
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/bash-2.0
Hallo  (english text see below),
Die neue Version der Bash (2.0) orientiert sich wesentlich strenger am
POSIX-Standard. Das kann dazu fhren, da einige Scripte mit der neuen
Bash nicht mehr fehlerfrei ausgefhrt werden knnen. Wenn Sie auf
derartige Probleme stoen sollten, haben Sie zwei Mglichkeiten:
1. Mglichkeit: Sie passen die Scripte an, so da sie POSIX-konform
werden.  Nach unseren Erfahrungen ist es in 99.9% aller Flle einfach nur
ein fehlendes Semikolon vor einer schliessenden Klammer.  Sprich in der
Bash (1.x) war folgendes mglich:
  { command1 ; command2 }
in der Bash (2.0) muss dieses Kommando
  { command1 ; command2 ; }
heissen.
2. Mglichkeit:  Alternativ installieren einfach die alte Version der
Bash, die Sie im Paket bash1 in der Serie a finden knnen.  Nach der
Installation dieses Paketes knnen Sie die alte Bash durch ein
  mv /bin/bash1 /bin/bash
aktivieren.
Hello,
The new Version of bash (2.0) sticks far closer to the POSIX-standard.
This may lead to scripts no longer being executed correctly with the
new bash. If you should encounter this type of problem, you have two
alternatives:
1. adapt your scripts to be POSIX-conform - in almost every case it is
only a missing ";" at the end of a command list. In bash (1.x) a command
like the one below could be executed:
  { command1 ; command2 }
In bash (2.0) this has to be done like this:
  { command1 ; command2 ; }
2. install the old version of bash which may be found as bash1 in series a.
After installation of this package you will be able to activate the old
bash by entering:
  mv /bin/bash1 /bin/bash
EOT
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/bash
%dir /usr/include/readline
/bin/bash
/bin/sh
/usr/bin/bashbug
%doc /usr/doc/packages/bash/COMPAT
%doc /usr/doc/packages/bash/FAQ
%doc /usr/doc/packages/bash/INTRO
%doc /usr/doc/packages/bash/NEWS
%doc /usr/doc/packages/bash/bashref.html
/usr/include/readline/chardefs.h
/usr/include/readline/history.h
/usr/include/readline/keymaps.h
/usr/include/readline/readline.h
/usr/include/readline/tilde.h
%doc /usr/info/bash.info.gz
%doc /usr/info/history.info.gz
%doc /usr/info/readline.info.gz
/usr/lib/libhistory.a
/usr/lib/libreadline.a
%doc /usr/man/man1/bash.1.gz
%doc /usr/man/man1/bashbug.1.gz
%doc /usr/man/man3/readline.3.gz

